=== debian/changelog ===
nodejs (4.6.1~dfsg-1) unstable; urgency=medium

  * test-regress-GH-746 moved from sequential to parallel
  * New upstream version 4.6.1~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Oct 2016 20:51:52 +0200

nodejs (4.6.0~dfsg-3) unstable; urgency=medium

  * Restore flakyness of parallel/test-regress-GH-746.
    Closes: #841199.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 18 Oct 2016 15:29:36 +0200

nodejs (4.6.0~dfsg-2) unstable; urgency=medium

  * Skip two more tests accessing network
  * Remove licensecheck from b-d to avoid double call

 -- Jérémy Lal <kapouer@melix.org>  Thu, 13 Oct 2016 09:29:17 +0200

nodejs (4.6.0~dfsg-1) unstable; urgency=medium

  * New upstream version 4.6.0~dfsg
    Fixes: CVE-2016-7099, CVE-2016-5325
    Closes: #839714.
  * Hardening flags: +all, -pie because v8 doesn't support pie.
  * Disable DNS during tests, using RES_OPTIONS=attempts:0,
    and disable tests that fail to run when only a loopback
    interface is available. Closes: #830242.
  * Do not fail when node symlink exists in check target
  * Disable addons, pseudo-tty, doctool test suites
  * test_ci patch: allow overriding CI test options
  * Disable tests failing without DNS
  * doctool-yaml patch: avoid use of eslint deps and use
    node-yamlish package instead
  * Build-Depends node-marked, exclude it for convenience,
  * Stop building for powerpc architecture as some cpu are not
    actually supported by libv8. Closes: #836415.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 09 Oct 2016 22:05:40 +0200

nodejs (4.4.7~dfsg-2) unstable; urgency=medium

  * Target mips r2 instead of loongson

 -- Jérémy Lal <kapouer@melix.org>  Sun, 03 Jul 2016 16:08:55 +0200

nodejs (4.4.7~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.7~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Fri, 01 Jul 2016 01:36:36 +0200

nodejs (4.4.6~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.6~dfsg
  * Update s390 patch

 -- Jérémy Lal <kapouer@melix.org>  Fri, 24 Jun 2016 02:03:08 +0200

nodejs (4.4.5~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.5~dfsg
  * Standards-Version 3.9.8
  * Ensure it fails on armel (Closes: #818552)
  * Build-Depends openssl 1.0.2 (Closes: #821403)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 22 Jun 2016 21:46:13 +0200

nodejs (4.4.3~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.3~dfsg

 -- Jérémy Lal <kapouer@melix.org>  Fri, 15 Apr 2016 18:01:42 +0200

nodejs (4.4.2~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.2~dfsg
  * Document s390 maintenance for Node.js 4.x LTS
  * Update s390 patch, update upstream url for that patch
  * Expect test-npm-install to fail

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Apr 2016 10:34:06 +0200

nodejs (4.4.1~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.1~dfsg
  * Import upstream v8z s390 patches

 -- Jérémy Lal <kapouer@melix.org>  Wed, 23 Mar 2016 23:10:36 +0100

nodejs (4.4.0~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.4.0~dfsg
  * watch: minor updates can actually happen on LTS
  * copyright: update file path for v8 prof polyfill
  * Standards-Version 3.9.7
  * Use secure VCS fields

 -- Jérémy Lal <kapouer@melix.org>  Wed, 09 Mar 2016 23:27:34 +0100

nodejs (4.3.1~dfsg-3) unstable; urgency=medium

  * Patch configure script to allow and default to x87 on i386.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Feb 2016 08:55:51 +0100

nodejs (4.3.1~dfsg-2) unstable; urgency=medium

  * i386 port supports cpu that do not have sse2; those cpu are
    targeted by the v8 x87 port. Closes: #815983.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Feb 2016 00:54:21 +0100

nodejs (4.3.1~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.3.1~dfsg
  * Update s390 branch, add an upstream patch

 -- Jérémy Lal <kapouer@melix.org>  Wed, 17 Feb 2016 14:00:00 +0100

nodejs (4.3.0~dfsg-2) unstable; urgency=medium

  * Fix lintian override for binary fixtures

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Feb 2016 02:14:14 +0100

nodejs (4.3.0~dfsg-1) unstable; urgency=medium

  * Imported Upstream version 4.3.0~dfsg, no ABI change.
  * Import latest patches from v8 4.5-s390 branch
  * Use master-lts/upstream-lts naming scheme
  * Watch 4.3.x versions
  * Override lintian error for two binary (but trivial) fixtures.

 -- Jérémy Lal <kapouer@melix.org>  Wed, 10 Feb 2016 00:50:44 +0100
