=== debian/changelog ===
nodejs (4.7.2~dfsg-1ubuntu3) zesty; urgency=medium

  * Disable test-process-config because it needs configured tree

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 12 Feb 2017 08:42:42 +0200

nodejs (4.7.2~dfsg-1ubuntu2) zesty; urgency=medium

  * Make sure we don't try to build for ppc64 on powerpc

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 09 Feb 2017 11:24:53 +0200

nodejs (4.7.2~dfsg-1ubuntu1) zesty; urgency=medium

  * Merge with Debian unstable, remaining changes:
    + Add debian/patches/fix_sslv3_test.patch:
      properly handle how SSLv3 was disabled in openssl
  * Enable building for powerpc architecture again

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 08 Feb 2017 16:52:42 +0200

nodejs (4.7.2~dfsg-1) unstable; urgency=medium

  * New upstream version 4.7.2~dfsg
  * Build-Depend libssl1.0-dev (Closes: #828457)
  * Patch tests to pass with openssl 1.1.0 cli
  * Patch doc build target to avoid remote download
  * Update test_ci_buildd patch to run test-ci-js suite
  * Recommends ca-certificates
  * Fix recursive dependency on node-yamlish/marked (Closes: #850082)

 -- Jérémy Lal <kapouer@melix.org>  Fri, 06 Jan 2017 01:25:51 +0100

nodejs (4.6.1~dfsg-1ubuntu1) zesty; urgency=medium

  * Sync with Debian. Remaining change:
    - Add debian/patches/fix_sslv3_test.patch:
      properly handle how SSLv3 was disabled in openssl.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Dec 2016 23:02:48 -0500
