=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: nodejs
 Section: web
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper,
+ debhelper (>=9.20141010),
  dh-buildinfo,
  binutils,
  openssl (>= 1.0.2),
@@ -16,12 +17,12 @@
  libicu-dev,
  libkvm-dev [kfreebsd-any],
  gyp (>= 0.1~svn1773),
- node-yamlish,
- node-marked,
+ ca-certificates,
+ node-yamlish <!stage1>,
+ node-marked <!stage1>,
  python,
- libssl-dev (>= 1.0.2),
- libuv1-dev,
- ca-certificates
+ libssl1.0-dev (>= 1.0.2),
+ libuv1-dev
 Standards-Version: 3.9.8
 Homepage: http://nodejs.org/
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/nodejs.git
@@ -51,6 +52,7 @@
 Depends: ${shlibs:Depends},
  ${misc:Depends}
 Provides: ${cdbs:Provides}
+Recommends: ${cdbs:Recommends}
 Description: evented I/O for V8 javascript
  Node.js is a platform built on Chrome's JavaScript runtime for easily
  building fast, scalable network applications. Node.js uses an
