=== debian/rules ===
--- 
+++ 
@@ -15,25 +15,29 @@
 
 # Build-depend unversioned on debhelper
 #  TODO: Drop when adopted in cdbs
-CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper
+CDBS_BUILD_DEPENDS_rules_debhelper_v9 = debhelper (>=9.20141010)
 
 # Needed by upstream build
 #  * recent gyp needed to build using flock
 bdeps = binutils, openssl (>= $(ssl-minver)), pkg-config
 bdeps +=, bash-completion, curl, procps, zlib1g-dev, libicu-dev
 bdeps +=, libkvm-dev [kfreebsd-any], gyp (>= 0.1~svn1773)
+# Needed for tests
+bdeps +=, ca-certificates
+
 # needed by doctool-yaml.patch
-bdeps +=, node-yamlish
+bdeps +=, node-yamlish <!stage1>
 # needed by doc builder
-bdeps +=, node-marked
+bdeps +=, node-marked <!stage1>
 
 # Needed by upstream build and binary development package
 #  * recent libv8 because... FIXME (git commit eb490ef)
-deps = python, libssl-dev (>= $(ssl-minver))
-deps +=, libuv1-dev, ca-certificates
+deps = python, libssl1.0-dev (>= $(ssl-minver))
+deps +=, libuv1-dev
 
 CDBS_BUILD_DEPENDS +=, $(bdeps), $(deps)
 CDBS_DEPENDS_nodejs-dev = $(deps)
+CDBS_RECOMMENDS_nodejs = ca-certificates
 CDBS_PROVIDES_nodejs = nodejs-abi-$(abi)
 
 # suppress checking binary files, to not upset dpkg-source
@@ -58,7 +62,7 @@
 destCpu := $(or $(destCpu),$(if $(filter mipsel,$(DEB_HOST_ARCH)),mipsel))
 destCpu := $(or $(destCpu),$(if $(filter mips64el,$(DEB_HOST_ARCH)),mips64el))
 destCpu := $(or $(destCpu),$(if $(filter mips,$(DEB_HOST_ARCH)),mips))
-destCpu := $(or $(destCpu),$(if $(filter powerpc,$(DEB_HOST_ARCH)),unsupported))
+destCpu := $(or $(destCpu),$(if $(filter powerpc,$(DEB_HOST_ARCH)),ppc))
 destCpu := $(or $(destCpu),$(if $(filter ppc64,$(DEB_HOST_ARCH)),ppc64))
 destCpu := $(or $(destCpu),$(if $(filter s390x,$(DEB_HOST_ARCH)),s390x))
 
@@ -128,12 +132,11 @@
 export HOME = $(CURDIR)/test/tmp
 export FLAKY_TESTS = dontcare
 export TEST_CI_ARGS = --arch=$(destCpu) --timeout=3000
-export CI_NATIVE_SUITES =
 export CI_JS_SUITES = message parallel sequential
 
 # keep in mind ./debian/rules check is also invoked by adt-run, see debian/tests/
 exp-relax-check := $(if $(shell dpkg-parsechangelog | grep -x 'Distribution: \(experimental\|UNRELEASED\)'),-i)
-DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test-ci
+DEB_MAKE_CHECK_TARGET = $(exp-relax-check) test-ci-js
 
 # hardening gyp
 CXXFLAGS+=$(CPPFLAGS)
@@ -161,15 +164,23 @@
 	mv debian/nodejs/usr/bin/node debian/nodejs/usr/bin/nodejs
 	mv debian/nodejs/usr/share/man/man1/node.1 debian/nodejs/usr/share/man/man1/nodejs.1
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 # remove *.json files from documentation
 binary-install/nodejs::
 	find debian/nodejs/usr/share/doc/nodejs -name *.json -delete
+endif
 
 pre-build::
 	mkdir -p $(HOME)
 
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
 build/nodejs::
 	make doc
+else
+# Stops the stage1 variant from breaking dh_installdocs
+build/nodejs::
+	mkdir -p out/doc/api
+endif
 
 # Provide dependency hints for reverse dependencies to consume
 CDBS_SUGGESTS_nodejs-dev = debhelper
