=== debian/changelog ===
nodejs (4.8.2~dfsg-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.
  * Fix dependency libssl-dev in d/rules
    Closes: #861178

 -- Andreas Tille <tille@debian.org>  Sat, 20 May 2017 10:37:20 +0200

nodejs (4.8.2~dfsg-1) unstable; urgency=medium

  * New upstream version 4.8.2~dfsg
  * Fix memory leak if certificate is revoked (introduced in 4.8.1)

 -- Jérémy Lal <kapouer@melix.org>  Tue, 04 Apr 2017 15:46:55 +0200

nodejs (4.8.1~dfsg-1) unstable; urgency=medium

  * New upstream version 4.8.1~dfsg
  * Update 2014_donotinclude_root_certs.patch to hard-code
    NODE_EXTRA_CA_CERTS to /etc/ssl/certs/ca-certificates.crt
    This is safer to maintain and safer to use since it disables
    that undocumented env var setting.
    Also expect extra ca tests to fail.
  * Add dnt_helper.js Expat license

 -- Jérémy Lal <kapouer@melix.org>  Wed, 22 Mar 2017 01:09:24 +0100

nodejs (4.7.2~dfsg-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Andreas Tille <tille@debian.org>  Wed, 22 Mar 2017 16:51:38 +0100

nodejs (4.7.2~dfsg-2) unstable; urgency=medium

  * Patch fixing openssl 1.1 client test failure (Closes: #855018)

 -- Jérémy Lal <kapouer@melix.org>  Mon, 13 Feb 2017 12:00:20 +0100
