=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: nodejs
 Section: web
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
@@ -21,7 +20,7 @@
  node-yamlish <!stage1>,
  node-marked <!stage1>,
  python,
- libssl1.0-dev (>= 1.0.2),
+ libssl-dev (>= 1.0.2),
  libuv1-dev
 Standards-Version: 3.9.8
 Homepage: http://nodejs.org/
